# network agent

A network agent is an agent that handles various tasks used to implement virtual networks. These agents include neutron-dhcp-agent, neutron-l3-agent, neutron-metering-agent, and neutron-lbaas-agent, among others. The agent is available when the alive status of the agent is “True”.

Network v2

## network agent add network

Add network to an agent

    openstack network agent add network [--dhcp] <agent-id> <network>

--dhcp

  Add network to a DHCP agent

agent-id

  Agent to which a network is added (ID only)

network

  Network to be added to an agent (name or ID)

## network agent add router

Add router to an agent

    openstack network agent add router [--l3] <agent-id> <router>

--l3

  Add router to an L3 agent

agent-id

  Agent to which a router is added (ID only)

router

  Router to be added to an agent (name or ID)

## network agent delete

Delete network agent(s)

    openstack network agent delete <network-agent> [<network-agent> ...]

network-agent

  Network agent(s) to delete (ID only)

## network agent list

List network agents

    openstack network agent list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--agent-type <agent-type>]
        [--host <host>]
        [--network
        <network>
        |
        --router <router>
        ]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--agent-type <agent-type>

  List only agents with the specified agent type. The supported agent types are: bgp,dhcp,open-vswitch,linux-bridge,ofa,l3,loadbalancer,metering,metadata,macvtap,nic,baremetal,ovn-controller,ovn-controller-gateway,ovn-metadata,ovn-agent.

--host <host>

  List only agents running on the specified host

--network <network>

  List agents hosting the specified network (name or ID)

--router <router>

  List agents hosting the specified router (name or ID)

--long

  List additional fields in output

## network agent remove network

Remove network from an agent.

    openstack network agent remove network [--dhcp] <agent-id> <network>

--dhcp

  Remove network from DHCP agent

agent-id

  Agent to which a network is removed (ID only)

network

  Network to be removed from an agent (name or ID)

## network agent remove router

Remove router from an agent

    openstack network agent remove router [--l3] <agent-id> <router>

--l3

  Remove router from an L3 agent

agent-id

  Agent from which router will be removed (ID only)

router

  Router to be removed from an agent (name or ID)

## network agent set

Set network agent properties

    openstack network agent set
        [--description <description>]
        [--enable
        |
        --disable
        ]
        <network-agent>

--description <description>

  Set network agent description

--enable

  Enable network agent

--disable

  Disable network agent

network-agent

  Network agent to modify (ID only)

## network agent show

Display network agent details

    openstack network agent show <network-agent>

network-agent

  Network agent to display (ID only)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.